# FireIncidentSF

“-Tu país debe ser algo lento –le indica la Reina Roja-. Aquí, tienes que correr a toda velocidad para poder permanecer en el mismo lugar, y si quieres desplazarte a otro…¡Entonces debes correr el doble de prisa!”. La reina roja a Alicia

this proyect takes the fire incidents from SF city an the goal is to create an structure that optimize the query in DW/BI system.

step in this models:
first run seed to load Fire_incidents_1000_2.csv file to database.
This file it's a daily file and will be overwritte.


Raw table raw_fi:
This accumulate the csv file, but there is no further transformation.
It's create in accumulative mode, it will evaluate the date in the Fire_incidents_1000_2 table and delete all the entries with same date and reloaded.
The idea is load the entire day as a bulk, so either it's present or no to keep consistency.


Fact table: f_incident_dbt
This table granularity is one line per day per battalion per district.
The grain was based on suggested dimensions battalion and district (neiborghoood).
Since there is no further information about then dimension table for them their dimension weren't created, but one idea can be create a table with distinct battalion and distinct discrict_neiborghoods.
The aggregation choosen for this fact are additives.
Categories weren't considere because of their variability, aparentely there is a lot of free text in the file, in case we want to keep categories their should be dummified and then we can work with additive data, but there is always a risk of new categories (when dummified categories turn into table columns) that need to be address as a category "others" ie
There is also some fields that are aggregated in this files that mostly contain null, further analysis can be apply to this fields to evaluate variability and completness, if there is not enough or too much, field should be dismiss.
In the creation of this fact be consider than new file will bring daily updates.
In case something goes wrong, we can re run the model, and fields associated with this date should been eliminated and created again, to prevent partial loads from csv.





## Getting started

To make it easy for you to get started with GitLab, here's a list of recommended next steps.

Already a pro? Just edit this README.md and make it your own. Want to make it easy? [Use the template at the bottom](#editing-this-readme)!

## Add your files

- [ ] [Create](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/user/project/repository/web_editor.html#create-a-file) or [upload](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/user/project/repository/web_editor.html#upload-a-file) files
- [ ] [Add files using the command line](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/gitlab-basics/add-file.html#add-a-file-using-the-command-line) or push an existing Git repository with the following command:

```
cd existing_repo
git remote add origin https://gitlab.com/srta.vicky/fireincidentsf.git
git branch -M main
git push -uf origin main
```

## Integrate with your tools

- [ ] [Set up project integrations](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/user/project/integrations/)

## Collaborate with your team

- [ ] [Invite team members and collaborators](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/user/project/members/)
- [ ] [Create a new merge request](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/user/project/merge_requests/creating_merge_requests.html)
- [ ] [Automatically close issues from merge requests](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/user/project/issues/managing_issues.html#closing-issues-automatically)
- [ ] [Automatically merge when pipeline succeeds](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/user/project/merge_requests/merge_when_pipeline_succeeds.html)

## Test and Deploy

Use the built-in continuous integration in GitLab.

- [ ] [Get started with GitLab CI/CD](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/ci/quick_start/index.html)
- [ ] [Analyze your code for known vulnerabilities with Static Application Security Testing(SAST)](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/user/application_security/sast/)
- [ ] [Deploy to Kubernetes, Amazon EC2, or Amazon ECS using Auto Deploy](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/topics/autodevops/requirements.html)
- [ ] [Use pull-based deployments for improved Kubernetes management](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://docs.gitlab.com/ee/user/clusters/agent/)

***

# Editing this README

When you're ready to make this README your own, just edit this file and use the handy template below (or feel free to structure it however you want - this is just a starting point!).  Thank you to [makeareadme.com](https://gitlab.com/-/experiment/new_project_readme_content:4f3ca07ca32dc25d36f8d1c00766eb09?https://www.makeareadme.com/) for this template.

## Suggestions for a good README
Every project is different, so consider which of these sections apply to yours. The sections used in the template are suggestions for most open source projects. Also keep in mind that while a README can be too long and detailed, too long is better than too short. If you think your README is too long, consider utilizing another form of documentation rather than cutting out information.

## Name
Choose a self-explaining name for your project.

## Description
Let people know what your project can do specifically. Provide context and add a link to any reference visitors might be unfamiliar with. A list of Features or a Background subsection can also be added here. If there are alternatives to your project, this is a good place to list differentiating factors.

## Badges
On some READMEs, you may see small images that convey metadata, such as whether or not all the tests are passing for the project. You can use Shields to add some to your README. Many services also have instructions for adding a badge.

## Visuals
Depending on what you are making, it can be a good idea to include screenshots or even a video (you'll frequently see GIFs rather than actual videos). Tools like ttygif can help, but check out Asciinema for a more sophisticated method.

## Installation
Within a particular ecosystem, there may be a common way of installing things, such as using Yarn, NuGet, or Homebrew. However, consider the possibility that whoever is reading your README is a novice and would like more guidance. Listing specific steps helps remove ambiguity and gets people to using your project as quickly as possible. If it only runs in a specific context like a particular programming language version or operating system or has dependencies that have to be installed manually, also add a Requirements subsection.

## Usage
Use examples liberally, and show the expected output if you can. It's helpful to have inline the smallest example of usage that you can demonstrate, while providing links to more sophisticated examples if they are too long to reasonably include in the README.

## Support
Tell people where they can go to for help. It can be any combination of an issue tracker, a chat room, an email address, etc.

## Roadmap
If you have ideas for releases in the future, it is a good idea to list them in the README.

## Contributing
State if you are open to contributions and what your requirements are for accepting them.

For people who want to make changes to your project, it's helpful to have some documentation on how to get started. Perhaps there is a script that they should run or some environment variables that they need to set. Make these steps explicit. These instructions could also be useful to your future self.

You can also document commands to lint the code or run tests. These steps help to ensure high code quality and reduce the likelihood that the changes inadvertently break something. Having instructions for running tests is especially helpful if it requires external setup, such as starting a Selenium server for testing in a browser.

## Authors and acknowledgment
Show your appreciation to those who have contributed to the project.

## License
For open source projects, say how it is licensed.

## Project status
If you have run out of energy or time for your project, put a note at the top of the README saying that development has slowed down or stopped completely. Someone may choose to fork your project or volunteer to step in as a maintainer or owner, allowing your project to keep going. You can also make an explicit request for maintainers.

